Bug 312971 - guest kernel oops for fc6 guest on rhel5 host
guest kernel oops for fc6 guest on rhel5 host
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
i686 Linux
low Severity low
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 07:34 EDT by Thomas Vander Stichele
Modified: 2009-12-14 15:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2007-09-30 07:34:34 EDT
Description of problem:

xm console shows this:

BUG: unable to handle kernel paging request at virtual address c8e1900c
 printing eip:
c054936b
08e22000 -> *pde = 00000000:135c2001
0ab65000 -> *pme = 00000000:6e902067
00041000 -> *pte = 00000000:00000000
Oops: 0002 [#1]
SMP 
last sysfs file: /class/net/eth0/broadcast
Modules linked in: autofs4 sunrpc xennet nf_conntrack_netbios_ns ipt_REJECT
nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink iptable_filter ip_tables
ip6t_REJECT xt_tcpudp ip6table_filter ip6_tables x_tables ipv6 dm_mirror
dm_multipath dm_mod parport_pc lp parport pcspkr xenblk ext3 jbd ehci_hcd
ohci_hcd uhci_hcd
CPU:    0
EIP:    0061:[<c054936b>]    Not tainted VLI
EFLAGS: 00010013   (2.6.20-1.2944.fc6xen #1)
EIP is at evtchn_do_upcall+0x55/0x97
eax: 00000003   ebx: 00000000   ecx: c8e18fe4   edx: fffffeff
esi: 00000001   edi: f5416000   ebp: fffffffe   esp: c8e18fc4
ds: 007b   es: 007b   ss: 0069
Process flush (pid: 6348, ti=c8e18000 task=c0bdae70 task.ti=c8e18000)
Stack: 00000000 00000000 4ff23fc0 c8e18fac c8e18fe4 c8e18000 c0404ff2 c8e18fe4 
       4ff1a004 00000073 00010202 bf82a994 0000007b 00000000 00000000 
Call Trace:
 [<c0404ff2>] hypervisor_callback+0x46/0x50
 =======================
Code: bd fe ff ff ff 88 d9 89 d8 c1 e0 05 d3 c5 89 04 24 eb 29 0f bc c0 03 04 24
8b 14 85 80 f0 6f c0 83 fa ff 74 12 8b 4c 24 1c f7 d2 <89> 51 28 89 c8 e8 40 d4
eb ff eb 05 e8 22 2e 00 00 8b 44 24 04 
EIP: [<c054936b>] evtchn_do_upcall+0x55/0x97 SS:ESP 0069:c8e18fc4
 <3>BUG: sleeping function called from invalid context at kernel/rwsem.c:20
in_atomic():0, irqs_disabled():1
 [<c04303e6>] down_read+0x12/0x28
 [<c0438a56>] acct_collect+0x38/0x13e
 [<c041fc77>] do_exit+0x1b1/0x6f6
 [<c0405b2f>] die+0x20a/0x22f
 [<c061396f>] do_page_fault+0xab1/0xc2e
 [<c0612ebe>] do_page_fault+0x0/0xc2e
 [<c0611d2d>] error_code+0x35/0x3c
 [<c054936b>] evtchn_do_upcall+0x55/0x97
 [<c0404ff2>] hypervisor_callback+0x46/0x50
 =======================


Version-Release number of selected component (if applicable):
Kernel 2.6.20-1.2944.fc6xen on an i686

Host has 2.6.18-8.el5xen

How reproducible:

Happens after a few days of running.
Comment 1 Bug Zapper 2008-04-04 03:36:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:46:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.